{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>  
</head>

<body>
  {% include './navbar.html' %}
  <div id="content" class="p-4 p-md-5 pt-5">
    <div class="container justify-content-center d-flex">
            <div class="container">
                <div class="col pull-right">
                  <a class="btn btn-primary pull-right" href="{% url 'schedule:addSchedulePage' %}">Add +</a>
                </div>
                <table class="table shadow p-3 mb-5 bg-white">  
                  <thead>
                      <caption class="text-center" style="caption-side: top"><h1>SCHEDULE</h1></caption>
                      <tr class="text-center">
                          <th>No.</th>
                          <th>Nama</th>
                          <th>Tempat</th>
                          <th>Tanggal Pelaksanaan</th>
                          <th>Status</th>
                          <th>Action</th>
                      </tr>
                  </thead>
                    <tbody>
                      {% if datas %}              
                      {% for data in datas %}
                      <tr class="text-center">
                        <td class="text-center">{{ forloop.counter }}</td>
                        <td class="text-center">{{data.nama_aktifitas}}</td>
                        <td class="text-center">{{data.tempat}}</td>
                        <td class="text-center">{{data.tanggal}}</td>
                        <td class="text-center">{{data.status}}</td>
                        <td class="text-center">
                          <a class="btn btn-primary btn-sm" href="{% url 'schedule:detailschedule' data.id_aktifitas %}">Lihat</a>
                          <a class="btn btn-primary btn-sm" href="{% url 'schedule:updateSchedulePage' data.id_aktifitas %}">Ubah</a>
                          <button type="button" id="tombol" class="btn btn-danger btn-sm" data-bs-toggle="modal" data-bs-target="#modalAktifitas{{data.id_aktifitas}}">Hapus</button>
                        </td>

                        <div class="modal fade" id="modalAktifitas{{data.id_aktifitas}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle{{data.nama_aktifitas}}" aria-hidden="true">
                          <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                              
                              <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLongTitle{{data.nama_aktifitas}}">Aktifitas</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                                </button>
                              </div>

                              <div class="modal-body">
                                <h5 class="text-center">Apakah Anda yakin ingin menghapus data ini?</h5>
                                <div class="text-center">
                                  <a class="btn btn-primary" href="{% url 'schedule:deleteschedule' data.id_aktifitas %}">Ya</a>
                                  <button class="btn btn-secondary" data-bs-dismiss="modal"><a>Tidak</a></button>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </tr>
                      {% endfor %}
                      {% else %}
                      <tr class="text-center">
                        <td class="text-center">Tidak ada Aktifitas</td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center"></td>
                        <td class="text-center">
                        </td>
                      </tr>
                      {% endif %}
                    </tbody>
                </table>
            </div>
    </div>
  </div>
</body>

</html>